#!/bin/bash
# © Copyright [2016 - 2020] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates and licensors
# (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such
# products and services. Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial errors or omissions
# contained herein. The information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential information
# and a valid license is required for possession, use or copying. If this work is provided to the
# U.S. Government, consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items are licensed
# to the U.S. Government under vendor's standard commercial license.


sed -i 's/^\(FW_ROUTE=\).*/\1"yes"/' /etc/sysconfig/SuSEfirewall2
sysctl -w net.ipv4.ip_forward=1

/opt/novell/cis/bin/disable_docker_iptables.sh
if [ $? -ne 0 ]; then
	logger -t cis "Failed to update docker options.\n"
	exit 1;
fi

systemctl start docker
if [ $? -ne 0 ]; then
	logger -t cis "Docker is not running.\n"
	exit 1;
fi

# Load images and enable services
rpm -q --queryformat "%{VERSION} %{RELEASE}\n" sles-oes-cis-data-docker-image >/etc/opt/novell/cis-scale/VERSION

sed -i 's/FW_SERVICES_EXT_TCP="/FW_SERVICES_EXT_TCP="8301 8346 8347 8500 18301 18500 /g' /etc/sysconfig/SuSEfirewall2
	if [ $? -ne 0 ]; then
		>&2 echo "Failed to add ports in firewall config file" 
		exit 1;
	fi

rcSuSEfirewall2 restart
	if [ $? -ne 0 ]; then
	   >&2 echo "Firewall restart not succesful" 
	   exit 1;
	fi

systemctl status oes-cis-fluentbit.service
if [ $? -eq 0 ]; then
    systemctl stop oes-cis-fluentbit.service
fi

systemctl disable oes-cis-fluentbit.service 2>/dev/null

docker network inspect -f "{{(index (.IPAM.Config) 0).Subnet}}" cisnet 2>/dev/null
if [ $? -ne 0 ]; then
    docker network create --driver=bridge --subnet=172.16.0.0/16 --gateway=172.16.0.1 cisnet
    if [ $? -ne 0 ]; then
        logger -t cis "Docker network create failed.\n"
        exit 1
    fi
    systemctl restart docker
    if [ $? -ne 0 ]; then
        logger -t cis "Docker is not running.\n"
        exit 1;
    fi
fi
